Summary
Imports an instance into a resource
Description
Imports an instance into a resource
Route
POST /lifecycle-manager/resources/:modelIdentifier/instances/import
Roles
admin
apiwrite
designer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| modelIdentifier |
string |
yes |
- |
| instance |
object |
yes |
- |
Copied to Clipboard
{
"name": "VLAN Service",
"description": "EC2 Instance in US-EAST-1 with ID ec2-12345678",
"created": "1981-05-16T10:05:46.873Z",
"createdBy": {
"_id": "62a1f3d2ebedfc54e6e0065c",
"username": "et occaecat",
"provenance": "aliquip in magna in",
"firstname": "sit Duis laboris"
},
"lastUpdated": "1951-01-01T13:02:10.893Z",
"lastUpdatedBy": {
"_id": "62a1f3d2ebedfc54e6e0065c",
"username": "deserunt officia cillum ut",
"provenance": "et est consequat",
"firstname": "aliqua anim sed nulla sit"
},
"instanceData": null
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| response |
object |
- |
Copied to Clipboard
{
"message": "A server error occurred while processing this request",
"data": "null",
"metadata": {
"errors": []
}
}